### Method

# WebKit2WebExtension WebExtension get_page

#### Declaration [src]

    WebKitWebPage*
    webkit_web_extension_get_page (
      WebKitWebExtension* extension,
      guint64 page_id
    )

#### Description [src]

Get the web page of the given `page_id`.

#### Parameters

`page_id`

  Type: `guint64`

  The identifier of the `WebKitWebPage` to get.

#### Return value

Type: `WebKitWebPage`

The `WebKitWebPage` for the given `page_id`, or `NULL` if the identifier doesn’t correspond to an existing web page.

The data is owned by the instance.